<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/TypeVisitor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::TypeVisitor</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class TypeVisitor

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/TypeVisitor.hh.html" target="detail">../Synopsis/PTree/TypeVisitor.hh</a></div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line19" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="TypeVisitor-inheritance" src="TypeVisitor-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TypeVisitor-inheritance_map" />
<map name="TypeVisitor-inheritance_map"><area alt="Scopes/Synopsis/PTree/Visitor.html" href="Visitor.html" shape="rect" coords="20, 7, 177, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="TypeVisitor_l_r">TypeVisitor</a>()  </div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor_mTypeVisitor_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line22" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="../Token.html#Type" >Token::Type</a> <a class="name" id="type_of_lNode_S_r">type_of</a>(<a href="Node.html" >Node</a>* <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor_mtype_of_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line24" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLiteral_S_r">visit</a>(<a href="Literal.html" >Literal</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lLiteral_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line26" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lIdentifier_S_r">visit</a>(<a href="Identifier.html" >Identifier</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lIdentifier_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKeyword_S_r">visit</a>(<a href="Keyword.html" >Keyword</a>* <span class="variable">kwd</span>)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lKeyword_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypedef_S_r">visit</a>(<a href="Typedef.html" >Typedef</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lTypedef_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTemplateDecl_S_r">visit</a>(<a href="TemplateDecl.html" >TemplateDecl</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lTemplateDecl_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line30" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTemplateInstantiation_S_r">visit</a>(<a href="TemplateInstantiation.html" >TemplateInstantiation</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lTemplateInstantiation_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lExternTemplate_S_r">visit</a>(<a href="ExternTemplate.html" >ExternTemplate</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lExternTemplate_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lMetaclassDecl_S_r">visit</a>(<a href="MetaclassDecl.html" >MetaclassDecl</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lMetaclassDecl_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lParameterDeclaration_S_r">visit</a>(<a href="ParameterDeclaration.html" >ParameterDeclaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lParameterDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLinkageSpec_S_r">visit</a>(<a href="LinkageSpec.html" >LinkageSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lLinkageSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNamespaceSpec_S_r">visit</a>(<a href="NamespaceSpec.html" >NamespaceSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lNamespaceSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNamespaceAlias_S_r">visit</a>(<a href="NamespaceAlias.html" >NamespaceAlias</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lNamespaceAlias_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line37" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUsingDirective_S_r">visit</a>(<a href="UsingDirective.html" >UsingDirective</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lUsingDirective_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDeclaration_S_r">visit</a>(<a href="Declaration.html" >Declaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUsingDeclaration_S_r">visit</a>(<a href="UsingDeclaration.html" >UsingDeclaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lUsingDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDeclarator_S_r">visit</a>(<a href="Declarator.html" >Declarator</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lDeclarator_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line41" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lName_S_r">visit</a>(<a href="Name.html" >Name</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line42" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFstyleCastExpr_S_r">visit</a>(<a href="FstyleCastExpr.html" >FstyleCastExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lFstyleCastExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line43" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lClassSpec_S_r">visit</a>(<a href="ClassSpec.html" >ClassSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lClassSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line44" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lEnumSpec_S_r">visit</a>(<a href="EnumSpec.html" >EnumSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lEnumSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line45" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypeParameter_S_r">visit</a>(<a href="TypeParameter.html" >TypeParameter</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lTypeParameter_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line46" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAccessSpec_S_r">visit</a>(<a href="AccessSpec.html" >AccessSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor_mvisit_lAccessSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line47" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAccessDecl_S_r">visit</a>(<a href="AccessDecl.html" >AccessDecl</a>*)  </div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor_mvisit_lAccessDecl_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line48" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUserAccessSpec_S_r">visit</a>(<a href="UserAccessSpec.html" >UserAccessSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lUserAccessSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line49" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lIfStatement_S_r">visit</a>(<a href="IfStatement.html" >IfStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lIfStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line50" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lSwitchStatement_S_r">visit</a>(<a href="SwitchStatement.html" >SwitchStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lSwitchStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line51" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lWhileStatement_S_r">visit</a>(<a href="WhileStatement.html" >WhileStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lWhileStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line52" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDoStatement_S_r">visit</a>(<a href="DoStatement.html" >DoStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lDoStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line53" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lForStatement_S_r">visit</a>(<a href="ForStatement.html" >ForStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lForStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line54" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTryStatement_S_r">visit</a>(<a href="TryStatement.html" >TryStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lTryStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line55" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBreakStatement_S_r">visit</a>(<a href="BreakStatement.html" >BreakStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lBreakStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line56" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lContinueStatement_S_r">visit</a>(<a href="ContinueStatement.html" >ContinueStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lContinueStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line57" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lReturnStatement_S_r">visit</a>(<a href="ReturnStatement.html" >ReturnStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lReturnStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line58" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lGotoStatement_S_r">visit</a>(<a href="GotoStatement.html" >GotoStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lGotoStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line59" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCaseStatement_S_r">visit</a>(<a href="CaseStatement.html" >CaseStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lCaseStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line60" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDefaultStatement_S_r">visit</a>(<a href="DefaultStatement.html" >DefaultStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lDefaultStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line61" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLabelStatement_S_r">visit</a>(<a href="LabelStatement.html" >LabelStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lLabelStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line62" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lExprStatement_S_r">visit</a>(<a href="ExprStatement.html" >ExprStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lExprStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line63" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lExpression_S_r">visit</a>(<a href="Expression.html" >Expression</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lExpression_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line64" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAssignExpr_S_r">visit</a>(<a href="AssignExpr.html" >AssignExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lAssignExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line65" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCondExpr_S_r">visit</a>(<a href="CondExpr.html" >CondExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lCondExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line66" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lInfixExpr_S_r">visit</a>(<a href="InfixExpr.html" >InfixExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lInfixExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line67" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPmExpr_S_r">visit</a>(<a href="PmExpr.html" >PmExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lPmExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line68" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCastExpr_S_r">visit</a>(<a href="CastExpr.html" >CastExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lCastExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line69" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUnaryExpr_S_r">visit</a>(<a href="UnaryExpr.html" >UnaryExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lUnaryExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line70" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lThrowExpr_S_r">visit</a>(<a href="ThrowExpr.html" >ThrowExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lThrowExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line71" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lSizeofExpr_S_r">visit</a>(<a href="SizeofExpr.html" >SizeofExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lSizeofExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line72" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypeidExpr_S_r">visit</a>(<a href="TypeidExpr.html" >TypeidExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lTypeidExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line73" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypeofExpr_S_r">visit</a>(<a href="TypeofExpr.html" >TypeofExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lTypeofExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line74" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNewExpr_S_r">visit</a>(<a href="NewExpr.html" >NewExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lNewExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line75" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDeleteExpr_S_r">visit</a>(<a href="DeleteExpr.html" >DeleteExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lDeleteExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line76" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lArrayExpr_S_r">visit</a>(<a href="ArrayExpr.html" >ArrayExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor_mvisit_lArrayExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line77" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFuncallExpr_S_r">visit</a>(<a href="FuncallExpr.html" >FuncallExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lFuncallExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line78" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPostfixExpr_S_r">visit</a>(<a href="PostfixExpr.html" >PostfixExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lPostfixExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line79" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDotMemberExpr_S_r">visit</a>(<a href="DotMemberExpr.html" >DotMemberExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lDotMemberExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line80" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lArrowMemberExpr_S_r">visit</a>(<a href="ArrowMemberExpr.html" >ArrowMemberExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lArrowMemberExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line81" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lParenExpr_S_r">visit</a>(<a href="ParenExpr.html" >ParenExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref14.html#Synopsis_mPTree_mTypeVisitor_mvisit_lParenExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line82" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="../Token.html#Type" >Token::Type</a> <a class="name" id="my_type">my_type</a></div> <div class="xref"><a href="../../../XRef/xref13.html#Synopsis_mPTree_mTypeVisitor_mmy_type" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html#line84" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
